Public Member Functions | Private Attributes | List of all members
libvisio::VSDInsertTextOutputElement Class Reference
Inheritance diagram for libvisio::VSDInsertTextOutputElement:

## Public Member Functions
| VSDInsertTextOutputElement (const librevenge::RVNGString &text)
| ~VSDInsertTextOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
VSDOutputElement * | clone () override
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)=0
virtual VSDOutputElement * | clone ()=0

## Private Attributes
librevenge::RVNGString | m_text

## Constructor & Destructor Documentation

## ◆ VSDInsertTextOutputElement()

libvisio::VSDInsertTextOutputElement::VSDInsertTextOutputElement | ( | const librevenge::RVNGString & | text | ) |

## ◆ ~VSDInsertTextOutputElement()

libvisio::VSDInsertTextOutputElement::~VSDInsertTextOutputElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

VSDOutputElement * libvisio::VSDInsertTextOutputElement::clone | ( |  | ) |
| inline override virtual

Implements libvisio::VSDOutputElement.

## ◆ draw()

void libvisio::VSDInsertTextOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| override virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

## ◆ m_text

librevenge::RVNGString libvisio::VSDInsertTextOutputElement::m_text
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp